For the complete documentation index, see llms.txt. This page is also available as Markdown.

API For Share Code

List share code

get

Returns a list of share codes

Authorizations
api-keystringRequired
Query parameters
statusintegerOptional

Filter share codes by status.

limitintegerOptional

Maximum number of items returned. Default: 30.

pageintegerOptional

Page number of the requested data. Default: 1.

sort_bystringOptional

Field used for sorting: code, amount_ips, created_at. Default: created_at.

order_bystringOptional

Sort order: desc or asc. Default: desc.

keywordstringOptional

Search by keyword in the code field.

emailstringOptional

Filter codes forwarded to a specific email. Example: [email protected]

data_typeintegerOptional

Filter by data type, 1: ip, 2: traffic. Ex: 1

is_enterpriseintegerOptional

Filter enterprise codes: 0 = false, 1 = true. Example: 1

Responses
200

Successful response

application/json

Returns the list of share codes for the user.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

get/client/v1/cd-keys/list-share-code
GET /client/v1/cd-keys/list-share-code HTTP/1.1
Host: sandbox.9proxy.com
Accept: */*
{
  "success": true,
  "message": "text",
  "result": {
    "items": [
      {
        "code": "text",
        "data_type": 1,
        "expired_at": null,
        "amount_traffic": 1,
        "forward_to": null,
        "used_by": null,
        "number_of_ips": 1,
        "status": 1,
        "used_at": null,
        "created_at": 1
      }
    ],
    "total_items": 1,
    "total_pages": 1
  }
}

List use code

get

Returns a list of used share codes.

Authorizations
api-keystringRequired
Query parameters
statusintegerOptional

Filter by code status.

limitintegerOptional

Maximum number of items returned. Default: 30.

pageintegerOptional

Page number of the requested data. Default: 1.

sort_bystringOptional

Field used for sorting: code, amount_ips, used_at. Default: used_at.

order_bystringOptional

Sort order: desc or asc. Default: desc.

keywordstringOptional

Search by keyword in the code field.

emailstringOptional

Filter codes received from a specific email. Example: [email protected]

data_typeintegerOptional

Filter by data type, 1: ip, 2: traffic. Ex: 1

is_enterpriseintegerOptional

Filter by enterprise: 0: false, 1: true. Ex: 1

Responses
200

Successful response

application/json

Returns the list of redeemed share codes for the user.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

get/client/v1/cd-keys/list-use-code
GET /client/v1/cd-keys/list-use-code HTTP/1.1
Host: sandbox.9proxy.com
Accept: */*
{
  "success": true,
  "message": "text",
  "result": {
    "items": [
      {
        "code": "text",
        "data_type": 1,
        "expired_at": null,
        "amount_traffic": null,
        "forward_to": null,
        "used_by": null,
        "number_of_ips": 1,
        "status": 1,
        "used_at": null,
        "created_at": 1
      }
    ],
    "total_items": 1,
    "total_pages": 1
  }
}

Generate Ip share code

post

Generate IP share codes.

Authorizations
api-keystringRequired
Body
planintegerRequired

Data plan type for sharing. 1 = IP plan.

Example: 1
number_of_ipsintegerRequired

Number of IPs to share.

Example: 10
number_of_codesintegerRequired

Number of share codes to generate.

Example: 5
forward_tostringOptional

Email address of the recipient.

Example: [email protected]
Responses
200

Successful response

application/json

Returns newly generated share codes.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

post/client/v1/cd-keys/generate-ip-code
POST /client/v1/cd-keys/generate-ip-code HTTP/1.1
Host: sandbox.9proxy.com
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "plan": 1,
  "number_of_ips": 10,
  "number_of_codes": 5,
  "forward_to": "[email protected]"
}
{
  "success": true,
  "message": "text",
  "result": [
    {
      "id": 1,
      "account_id": 1,
      "plan": 1,
      "amount_ips": 1,
      "code": "text",
      "forward_to": null,
      "created_at": 1
    }
  ]
}

Generate Traffic share code

post

Generate traffic share codes.

Authorizations
api-keystringRequired
Body
traffic_planintegerRequired

ID of the traffic plan used for sharing.

Example: 1
amount_trafficintegerOptional

Amount of traffic to share in bytes. Minimum: 1000000000 (1 GB).

Example: 1000000000
number_of_codesintegerRequired

Number of share codes to generate.

Example: 5
forward_tostringOptional

Email address of the recipient.

Example: [email protected]
Responses
200

Successful response

application/json

Returns newly generated share codes.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

post/client/v1/cd-keys/generate-traffic-code
POST /client/v1/cd-keys/generate-traffic-code HTTP/1.1
Host: sandbox.9proxy.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "traffic_plan": 1,
  "amount_traffic": 1000000000,
  "number_of_codes": 5,
  "forward_to": "[email protected]"
}
{
  "success": true,
  "message": "text",
  "result": [
    {
      "id": 1,
      "account_id": 1,
      "plan": 1,
      "amount_ips": 1,
      "code": "text",
      "forward_to": null,
      "created_at": 1
    }
  ]
}

Use code

post

Request to apply share codes.

Authorizations
api-keystringRequired
Body
codesstring[]Required

Array of share codes to apply.

Example: ["code_1","code_2","code_3"]
Responses
200

Successful response

application/json

Returns the share codes that were successfully applied.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

post/client/v1/cd-keys/use-code
POST /client/v1/cd-keys/use-code HTTP/1.1
Host: sandbox.9proxy.com
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "codes": [
    "code_1",
    "code_2",
    "code_3"
  ]
}
{
  "success": true,
  "message": "text",
  "result": {
    "used_codes": [
      "text"
    ]
  }
}

Revoke share code

delete

Request to revoke share codes.

Authorizations
api-keystringRequired
Body
codesstring[]Required

Array of share codes to revoke.

Example: ["code_1","code_2","code_3"]
Responses
200

Successful response

application/json
successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

resultobjectOptional
delete/client/v1/cd-keys/revoke-code
DELETE /client/v1/cd-keys/revoke-code HTTP/1.1
Host: sandbox.9proxy.com
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "codes": [
    "code_1",
    "code_2",
    "code_3"
  ]
}
{
  "success": true,
  "message": "text",
  "result": {}
}

Last updated

Was this helpful?